org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class AddEdgeTest.Traversals

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.AddEdgeTest
      - - org.apache.tinkerpop.gremlin.process.traversal.step.map.AddEdgeTest.Traversals

- Enclosing class:
    AddEdgeTest

      public static class AddEdgeTest.Traversals
      extends AddEdgeTest

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.AddEdgeTest

      `AddEdgeTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Traversals()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Traversal<Edge,Edge>` | `get_g_addEXknowsX_fromXaX_toXbX_propertyXweight_0_1X(Vertex a, Vertex b)`
    `Traversal<Edge,Edge>` | `get_g_addEXV_outE_label_groupCount_orderXlocalX_byXvalues_descX_selectXkeysX_unfold_limitX1XX_fromXV_hasXname_vadasXX_toXV_hasXname_lopXX()`
    `Traversal<Vertex,Edge>` | `get_g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX()`
    `Traversal<Vertex,Edge>` | `get_g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX()`
    `Traversal<Vertex,Edge>` | `get_g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX()`
    `Traversal<Vertex,Edge>` | `get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X()`
    `Traversal<Vertex,Edge>` | `get_g_V_hasXname_markoX_asXaX_outEXcreatedX_asXbX_inV_addEXselectXbX_labelX_toXaX()`
    `Traversal<Vertex,Edge>` | `get_g_V_outE_propertyXweight_nullX()`
    `Traversal<Vertex,Edge>` | `get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X(Object v1Id)`
    `Traversal<Vertex,Edge>` | `get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX(Object v1Id)`
    `Traversal<Vertex,Edge>` | `get_g_VXaX_addEXknowsX_toXbX_propertyXweight_0_1X(Vertex a, Vertex b)`
    `Traversal<Vertex,Edge>` | `get_g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X(Vertex a, Vertex b)`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.traversal.step.map.AddEdgeTest

      `g_addEXknowsX_fromXaX_toXbX_propertyXweight_0_1X, g_addEXV_outE_label_groupCount_orderXlocalX_byXvalues_descX_selectXkeysX_unfold_limitX1XX_fromXV_hasXname_vadasXX_toXV_hasXname_lopXX, g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX, g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX, g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX, g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X, g_V_hasXname_markoX_asXaX_outEXcreatedX_asXbX_inV_addEXselectXbX_labelX_toXaX, g_V_outE_propertyXweight_nullX, g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X, g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX, g_VXaX_addEXknowsX_toXbX_propertyXweight_0_1X, g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Traversals

          public Traversals()

  - ### Method Detail

    - #### get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX

          public Traversal<Vertex,Edge> get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX(Object v1Id)

      Specified by:
        `get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX` in class `AddEdgeTest`

    - #### get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X

          public Traversal<Vertex,Edge> get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X(Object v1Id)

      Specified by:
        `get_g_VX1X_asXaX_outXcreatedX_addEXcreatedByX_toXaX_propertyXweight_2X` in class `AddEdgeTest`

    - #### get_g_V_outE_propertyXweight_nullX

          public Traversal<Vertex,Edge> get_g_V_outE_propertyXweight_nullX()

      Specified by:
        `get_g_V_outE_propertyXweight_nullX` in class `AddEdgeTest`

    - #### get_g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX

          public Traversal<Vertex,Edge> get_g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX()

      Specified by:
        `get_g_V_aggregateXxX_asXaX_selectXxX_unfold_addEXexistsWithX_toXaX_propertyXtime_nowX` in class `AddEdgeTest`

    - #### get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X

          public Traversal<Vertex,Edge> get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X()

      Specified by:
        `get_g_V_asXaX_outXcreatedX_inXcreatedX_whereXneqXaXX_asXbX_addEXcodeveloperX_fromXaX_toXbX_propertyXyear_2009X` in class `AddEdgeTest`

    - #### get_g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX

          public Traversal<Vertex,Edge> get_g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX()

      Specified by:
        `get_g_V_asXaX_inXcreatedX_addEXcreatedByX_fromXaX_propertyXyear_2009X_propertyXacl_publicX` in class `AddEdgeTest`

    - #### get_g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X

          public Traversal<Vertex,Edge> get_g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X(Vertex a,
                                                                                                              Vertex b)

      Specified by:
        `get_g_withSideEffectXb_bX_VXaX_addEXknowsX_toXbX_propertyXweight_0_5X` in class `AddEdgeTest`

    - #### get_g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX

          public Traversal<Vertex,Edge> get_g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX()

      Specified by:
        `get_g_addV_asXfirstX_repeatXaddEXnextX_toXaddVX_inVX_timesX5X_addEXnextX_toXselectXfirstXX` in class `AddEdgeTest`

    - #### get_g_VXaX_addEXknowsX_toXbX_propertyXweight_0_1X

          public Traversal<Vertex,Edge> get_g_VXaX_addEXknowsX_toXbX_propertyXweight_0_1X(Vertex a,
                                                                                          Vertex b)

      Specified by:
        `get_g_VXaX_addEXknowsX_toXbX_propertyXweight_0_1X` in class `AddEdgeTest`

    - #### get_g_addEXknowsX_fromXaX_toXbX_propertyXweight_0_1X

          public Traversal<Edge,Edge> get_g_addEXknowsX_fromXaX_toXbX_propertyXweight_0_1X(Vertex a,
                                                                                           Vertex b)

      Specified by:
        `get_g_addEXknowsX_fromXaX_toXbX_propertyXweight_0_1X` in class `AddEdgeTest`

    - #### get_g_V_hasXname_markoX_asXaX_outEXcreatedX_asXbX_inV_addEXselectXbX_labelX_toXaX

          public Traversal<Vertex,Edge> get_g_V_hasXname_markoX_asXaX_outEXcreatedX_asXbX_inV_addEXselectXbX_labelX_toXaX()

      Specified by:
        `get_g_V_hasXname_markoX_asXaX_outEXcreatedX_asXbX_inV_addEXselectXbX_labelX_toXaX` in class `AddEdgeTest`

    - #### get_g_addEXV_outE_label_groupCount_orderXlocalX_byXvalues_descX_selectXkeysX_unfold_limitX1XX_fromXV_hasXname_vadasXX_toXV_hasXname_lopXX

          public Traversal<Edge,Edge> get_g_addEXV_outE_label_groupCount_orderXlocalX_byXvalues_descX_selectXkeysX_unfold_limitX1XX_fromXV_hasXname_vadasXX_toXV_hasXname_lopXX()

      Specified by:
        `get_g_addEXV_outE_label_groupCount_orderXlocalX_byXvalues_descX_selectXkeysX_unfold_limitX1XX_fromXV_hasXname_vadasXX_toXV_hasXname_lopXX` in class `AddEdgeTest`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.